import turtle
import random

def moves():
    while x<steps:
        direc = random.randrange(5)
        r = getRandom(x, direc)
        if direc == 0:
            asdf.forward(r)
        elif direc == 1:
            asdf.backward(r)
        elif direc == 2:
            asdf.left(r)
        elif direc == 3:
            asdf.right(r)
        history.append([direc,r])
        x=x+1
    return history

def first(steps, asdf):
    y=0
    x = 1

    history = []

    def getRandom(x, direc):

        r = random.randrange(x)
        # pos = asdf.pos()
        # print(pos)
        # print(pos[1]+r)
        # print(pos[1]-r)

        # if pos[1] + r > win_height or pos[1] - r < -1*win_height:
        #     print(pos[1] + r)
        #     r=r/2
        #     print('hit')
        # elif pos[0] + r > win_width or pos[0] -r < -1*win_width:
        #     r=r/2
        #     print('side hit')
        return r


    # while y < 10:
    #     while x < 215:
    #         asdf.forward(x)
    #         asdf.left(x)
    #
    #         print('forward: '+str(x))
    #         # print('left: '+str(x*x))
    #         x = x + 1
    #     asdf.right(x)
    #     x = 0
    #     y=y+1



